O eclipse não funciona com j2ee e j2se?

Eu uso o eclipse para a area web, mas estou querendo criar um aplicativo desktop, usando JFrame e etc… Mas quando mando compilar ele starta o tomcat e me envia uma mensagem e não roda o aplicatico.
Alguém sabe me explicar o pq esta acontecendo isso???

Você deve estar rodando “on Server”, tente utilizar a configuração “run as Java Application”…

Sim mais ja usei isto… Ele funcionou com o java bean, rodou blzinha, deve ser pela versão Europa do eclipse.

Aqui uso o europa e não tenho este tipo de problema, deve ser configuração sua ai.